// ADD NODE ACTION TYPES
export const ADD_NODE = 'ADD_NODE'
export const ADD_NODE_AND_LINK = 'ADD_NODE_AND_LINK'

// export const ADD_PERSON = 'ADD_PERSON'
// export const ADD_PRODUCT = 'ADD_PRODUCT'
// export const ADD_ORGANIZATION = 'ADD_ORGANIZATION'

// EDIT NODE ACTION TYPES
export const EDIT_NODE = 'EDIT_NODE'

// export const EDIT_PERSON = 'EDIT_PERSON'
// export const EDIT_PRODUCT = 'EDIT_PRODUCT'
// export const EDIT_ORGANIZATION = 'EDIT_ORGANIZATION'

export const DELETE_NODE = 'DELETE_NODE'

export const SHOW_LOADER = 'SHOW_LOADER'
export const CANCEL_ACTION = 'CANCEL_ACTION'
export const CLOSE_MODAL = 'CLOSE_MODAL'
export const NO_ACTION = 'NO_ACTION'
export const FATAL_ERROR = 'FATAL_ERROR'
export const SHOW_INFO_MODAL = 'SHOW_INFO_MODAL'
export const NO_NODES_MSG = 'NO_NODES_MSG'

//NODE ACTIONS
export const TOGGLE_PINNED_NODE = 'TOGGLE_PINNED_NODE'
export const LINK_CURRENT_NODE = 'LINK_CURRENT_NODE'
export const START_LINK_PROCESS = 'START_LINK_PROCESS'
export const COMPLETE_LINK_PROCESS = 'COMPLETE_LINK_PROCESS'
export const CANCEL_LINK_PROCESS = 'CANCEL_LINK_PROCESS'

//NODE !STATE! DURING LINKING
export const SOURCE_NODE = 'SOURCE_NODE'
export const TARGET_NODE = 'TARGET_NODE'
export const INVALID_NODE = 'INVALID_NODE'

// NODE TYPES
export const PERSON_NODE = 'PERSON'
export const PRODUCT_NODE = 'PRODUCT'
export const ORGANIZATION_NODE = 'ORGANIZATION'
export const SVG_NODE = 'SVG_NODE'

//CONTEXT TYPES
export const SVG_CONTEXT = 'SVG_CONTEXT'
export const NODE_CONTEXT = 'NODE_CONTEXT'
export const LINK_CONTEXT = 'LINK_CONTEXT'

//LOADER TYPES
export const LOADER_PACKMAN = 'packman'
export const LOADER_BALL_TRIANGLE = 'ball-triangle'

//USER ROLES
export const ROLE_USER = 'user'
export const ROLE_ADMIN = 'admin'
export const SIGN_IN = 'SIGN_IN'
export const LOG_OUT = 'LOG_OUT'

//TOOLBAR BUTTON ACTIONS
export const RESTART_SIM = 'RESTART_SIM'
export const RELOAD_SIM = 'RELOAD_SIM'
export const RESET_ZOOM = 'RESET_ZOOM'
export const APP_SETTINGS = 'APP_SETTINGS'
export const SIM_SETTINGS = 'SIM_SETTINGS'
export const URL_REDIRECT = 'URL_REDIRECT'

//CONFIGURATION ACTIONS
export const NEXT_STEP = 'NEXT_STEP'
export const PREV_STEP = 'PREVIOUS_STEP'
export const ADD_ITEM = 'ADD_ITEM'
export const DELETE_ITEM = 'DELETE_ITEM'
export const SAVE_CONFIGURATION = 'SAVE_CONFIGURATION'

//SIMULATION ACTIONS
export const DEFAULT_SETTINGS = 'DEFAULT_SETTINGS'

// PROP TYPES
export const TEXT = 'TEXT'
export const SLIDER = 'SLIDER'
// NODE SIZE PROPS
export const CONSTANT_NODE_SIZE = 'CONSTANT_NODE_SIZE'
export const CUSTOM_NODE_SIZE = 'PROPERTY'

// CGN TOKEN NAME
export const LS_TOKEN_KEY = 'cgn-access-token'
